(function() {
	'use strict';

	angular.module('uniflash').directive('ufAddOnTargetDevices', AddOnTargetDevices);

	function AddOnTargetDevices() {
		var directive = {
			restrict: 'E',
			templateUrl: 'target_setup/addOnTargetDevices.html',
			controller: AddOnTargetDevicesController,
			controllerAs: 'vm',
			link: function(scope, element, attrs) {},
			scope:{}
		};

		return directive;
	}

	AddOnTargetDevicesController.$inject = ['ticHighlightSrv','ufTargetSetupSrv','ufAddOnTargetSrv'];
	
	function AddOnTargetDevicesController(ticHighlightSrv,ufTargetSetupSrv,ufAddOnTargetSrv) {
		var vm = this;
        vm.ticHighlightSrv = ticHighlightSrv;
        vm.ufTargetSetupSrv = ufTargetSetupSrv;
		vm.ufAddOnTargetSrv = ufAddOnTargetSrv;
	}

})();
